#!/bin/bash

if [ $# -lt 1 ]; then
echo "Uso: $0 "
exit 1
fi

ID=`echo $1 | cut -d= -f2 | cut -d\& -f1`
FILE="youtube-${ID}"
BASE_URL="http://youtube.com/get_video.php"

wget -q -O /tmp/${FILE} $1

if [ $? == 0 ]; then
  T_PARAM=`grep '&t=' /tmp/${FILE} | head -n 1 | awk -F'&t=' '{print $2}' | cut -d\& -f 1`
  VIDEO_URL="${BASE_URL}?video_id=${ID}&t=${T_PARAM}"

  echo "-- Downloading: ${BASE_URL}?video_id=${ID}"
  wget -q -O ${FILE}.flv $VIDEO_URL

  echo "--- Encoding Video: ${FILE}.flv to avi"
  if [ $? != 0 ]; then
    rm -f ${FILE}.flv
    exit 1
  else
    ffmpeg -y -v 0 -i ${FILE}.flv ${FILE}.avi 2> /dev/null
  fi
fi
rm -f /tmp/${FILE}
#
# para evitar problemas de conversion eliminamos el paso a mpg, 
# si se quiere volver a habilitar quitar el siguiente comentario
#
#ffmpeg -i ${FILE}.avi ${FILE}.mpg
rm -f *.flv
